Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/validate \
--header 'Authorization: Bearer <token>'[
{
"message": "No view \"blob_sales\". Set base_view to a valid, existing view.",
"is_warning": false,
"yaml_path": "blob_sales.topic",
"auto_fix": {
"description_short": "Delete topic \"blob_sales\"",
"description_unique": "Delete topic \"blob_sales\""
}
}
]Retrieves validation issues for a model and its branches.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/validate \
--header 'Authorization: Bearer <token>'[
{
"message": "No view \"blob_sales\". Set base_view to a valid, existing view.",
"is_warning": false,
"yaml_path": "blob_sales.topic",
"auto_fix": {
"description_short": "Delete topic \"blob_sales\"",
"description_unique": "Delete topic \"blob_sales\""
}
}
]Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the model.
The ID of the branch to validate. The branch must exist for the model. If not provided, the model is validated directly. To retrieve branch IDs, use the List models endpoint with modelKind=BRANCH.
Note: Schema models do not support branches.
A list of validation issues.
Was this page helpful?